Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model.factory
Class SWRLJavaFactory

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.DefaultFrameFactory
          edu.stanford.smi.protegex.owl.model.factory.OWLJavaFactory
              edu.stanford.smi.protegex.owl.swrl.model.factory.SWRLJavaFactory

All Implemented Interfaces:
  edu.stanford.smi.protege.model.FrameFactory

    public class SWRLJavaFactory

extends OWLJavaFactory

Field Summary

Fields inherited from class edu.stanford.smi.protege.model.framestore.DefaultFrameFactory
`DEFAULT_CLS_JAVA_CLASS_ID, DEFAULT_FACET_JAVA_CLASS_ID, DEFAULT_SIMPLE_INSTANCE_JAVA_CLASS_ID, DEFAULT_SLOT_JAVA_CLASS_ID`

Constructor Summary
`SWRLJavaFactory(OWLModel owlModel)`

Method Summary
`edu.stanford.smi.protege.model.Frame` | `createFrameFromClassId(int javaClassId, edu.stanford.smi.protege.model.FrameID id)`
`edu.stanford.smi.protege.model.SimpleInstance` | `createSimpleInstance(edu.stanford.smi.protege.model.FrameID id, Collection directTypes)`
`int` | `getJavaClassId(edu.stanford.smi.protege.model.Frame frame)`
`boolean` | `isCorrectJavaImplementationClass(edu.stanford.smi.protege.model.FrameID id, Collection types, Class clas)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.factory.OWLJavaFactory
`as, canAs, createCls, createInstance, createSlot, getImplementationClass, getImplementationClassName, getImplementationConstructor, getJavaInterfaceName`

Methods inherited from class edu.stanford.smi.protege.model.framestore.DefaultFrameFactory
`addJavaPackage, configureCls, configureFacet, configureSimpleInstance, configureSlot, createCls, createFacet, createFacet, createSimpleInstance, createSlot, getClsJavaClassIds, getFacetJavaClassIds, getImplementationClass, getJavaClassName, getKnowledgeBase, getSimpleInstanceJavaClassIds, getSlotJavaClassIds, isValidCharacter, removeJavaPackage, rename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLJavaFactory

    public SWRLJavaFactory(OWLModel owlModel)

Method Detail

### createSimpleInstance

    public edu.stanford.smi.protege.model.SimpleInstance createSimpleInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                              Collection directTypes)

  Specified by:
    `createSimpleInstance` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `createSimpleInstance` in class `OWLJavaFactory`

### isCorrectJavaImplementationClass

    public boolean isCorrectJavaImplementationClass(edu.stanford.smi.protege.model.FrameID id,
                                                    Collection types,
                                                    Class clas)

  Specified by:
    `isCorrectJavaImplementationClass` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `isCorrectJavaImplementationClass` in class `OWLJavaFactory`

### createFrameFromClassId

    public edu.stanford.smi.protege.model.Frame createFrameFromClassId(int javaClassId,
                                                                       edu.stanford.smi.protege.model.FrameID id)

  Specified by:
    `createFrameFromClassId` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `createFrameFromClassId` in class `OWLJavaFactory`

### getJavaClassId

    public int getJavaClassId(edu.stanford.smi.protege.model.Frame frame)

  Specified by:
    `getJavaClassId` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `getJavaClassId` in class `OWLJavaFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.